org.apache.hadoop.yarn.security.client

## Class ClientToAMTokenSecretManager

- java.lang.Object
- - org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>
  - - org.apache.hadoop.yarn.security.client.BaseClientToAMTokenSecretManager
    - - org.apache.hadoop.yarn.security.client.ClientToAMTokenSecretManager

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class ClientToAMTokenSecretManager
      extends BaseClientToAMTokenSecretManager

  A simple `SecretManager` for AMs to validate Client-RM tokens issued to clients by the RM using the underlying master-key shared by RM to the AMs on their launch. All the methods are called by either Hadoop RPC or YARN, so this class is strictly for the purpose of inherit/extend and register with Hadoop RPC.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.security.token.SecretManager

      `org.apache.hadoop.security.token.SecretManager.InvalidToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientToAMTokenSecretManager(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptID, byte[] key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecretKey` | `getMasterKey(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptID)`
    `byte[]` | `retrievePassword(ClientToAMTokenIdentifier identifier)`
    `void` | `setMasterKey(byte[] key)`

    - ### Methods inherited from class org.apache.hadoop.yarn.security.client.BaseClientToAMTokenSecretManager

      `createIdentifier, createPassword`

    - ### Methods inherited from class org.apache.hadoop.security.token.SecretManager

      `checkAvailableForRead, createPassword, createSecretKey, generateSecret, retriableRetrievePassword`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientToAMTokenSecretManager

          public ClientToAMTokenSecretManager(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptID,
                                              byte[] key)

  - ### Method Detail

    - #### retrievePassword

          public byte[] retrievePassword(ClientToAMTokenIdentifier identifier)
                                  throws org.apache.hadoop.security.token.SecretManager.InvalidToken

      Overrides:
        `retrievePassword` in class `BaseClientToAMTokenSecretManager`
      Throws:
        `org.apache.hadoop.security.token.SecretManager.InvalidToken`

    - #### getMasterKey

          public SecretKey getMasterKey(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptID)

      Specified by:
        `getMasterKey` in class `BaseClientToAMTokenSecretManager`

    - #### setMasterKey

          public void setMasterKey(byte[] key)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.